library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;


entity sine_table_apro_half is
port (
	sine : in std_logic_vector (7 downto 0);
	sine_next : in std_logic_vector (7 downto 0);
	
	sine_out : out std_logic_vector (7 downto 0);
);
end sine_table_apro_half;

architecture rtl of sine_table_apro_half is
begin
	sine_out <= '0' & ((sine - sine_next)(7 downto 1));
end architecture;
